> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/global/lan-segments/{vrfId}/devices > Get a list of lan-segment devices under the currently logged in enterprise ## OpenAPI ````json GET /v1/global/lan-segments/{vrfId}/devices { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/global/lan-segments/{vrfId}/devices": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "vrfId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GlobalLanSegmentsVrfIdDevicesGetResponse" } } } } }, "description": "Get a list of lan-segment devices under the currently logged in enterprise" } } }, "components": { "schemas": { "v1GlobalLanSegmentsVrfIdDevicesGetResponse": { "type": "object", "properties": { "entries": { "type": "array", "items": { "$ref": "#/components/schemas/v1GlobalLanSegmentsVrfIdDevicesGetResponseEntry" } }, "status": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "v1GlobalLanSegmentsVrfIdDevicesGetResponseEntry": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "hostName": { "type": "string", "example": "example string" }, "numInterfaces": { "type": "integer", "format": "int32", "example": 123 }, "site": { "type": "integer", "format": "int64", "example": 1234567891011 }, "status": { "type": "boolean", "example": true } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````